Protect bank account funds
curl --request POST \
--url https://api.smokeball.com/bankaccounts/{id}/protect-funds \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"matterId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"effectiveDate": "2023-11-07T05:31:56Z",
"amount": 100.5,
"contactId": "18c05819-c321-4907-800c-d5a608729c5a",
"reason": "Court order requiring protection of funds"
}
'import requests
url = "https://api.smokeball.com/bankaccounts/{id}/protect-funds"
payload = {
"matterId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"effectiveDate": "2023-11-07T05:31:56Z",
"amount": 100.5,
"contactId": "18c05819-c321-4907-800c-d5a608729c5a",
"reason": "Court order requiring protection of funds"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
matterId: 'da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262',
effectiveDate: '2023-11-07T05:31:56Z',
amount: 100.5,
contactId: '18c05819-c321-4907-800c-d5a608729c5a',
reason: 'Court order requiring protection of funds'
})
};
fetch('https://api.smokeball.com/bankaccounts/{id}/protect-funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Bank Accounts
Protect bank account funds
Protects funds in a trust bank account. Only trust accounts are supported.
POST
/
bankaccounts
/
{id}
/
protect-funds
Protect bank account funds
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
Unique identifier of the associated matter. Required.
Minimum string length:
1Example:
"da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262"
Date of protecting the funds.
The amount to protect in dollars. Limited to 2 decimal places (cents).
Required range:
x >= 0.01Example:
100.5
Unique identifier of the associated contact. Required in US only.
Example:
"18c05819-c321-4907-800c-d5a608729c5a"
Reason for protecting the funds.
Example:
"Court order requiring protection of funds"
āI